body {
    background-color: #000;
    color: #fff;
    text-align: center;
    padding: 0;
    margin: 0;
}

h1, h2, h3, h3 {
    font-family: "Oswald", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    text-transform: uppercase;
}

h1 {
    font-size: 80px;
    line-height: 80px;
    margin-top: 0px;
    margin-bottom: 20px;
}

h1 span {
    -webkit-text-stroke-width: 2px;
    -webkit-text-stroke-color: #fff;
    color: transparent;
}

h2 {
    font-size: 61px;
    line-height: 61px;
    margin-top: -6px;
    margin-bottom: 30px;
}

h3 {
    font-size: 25px;
    margin-bottom: 0;
}

p {
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 200;
    font-style: normal;
    font-size: 18px;
    line-height: 21px;
}

.wrapper {
    background-image: url(/img/brave-bg.jpg);
    background-size: 2500px;
    background-size: cover;
    background-position: center bottom -500px;
    background-repeat: no-repeat;
    height: 100vh;
    padding: 0 20px;
}

.full-height-section {
    height: 100%;
}

.full-height-section-container {
    height: 100%;
    position: relative;
    max-width: 900px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: stretch;
}

.full-height-section-container::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-left: 1px solid #fff;
    border-right: 1px solid #fff;
    mix-blend-mode: overlay; /* Try 'difference', 'overlay', 'screen', etc. */
    pointer-events: none; /* Ensures it doesn’t block interactions */
}

.full-height-section-header {
    position: relative;
    padding: 20px;
}

.full-height-section-header::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-bottom: 1px solid #fff;
    mix-blend-mode: overlay; /* Try 'difference', 'overlay', 'screen', etc. */
    pointer-events: none; /* Ensures it doesn’t block interactions */
}

.full-height-section-main {
    position: relative;
    padding: 20px;
    margin-bottom: 80px;
}

.full-height-section-main::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-bottom: 1px solid #fff;
    mix-blend-mode: overlay; /* Try 'difference', 'overlay', 'screen', etc. */
    pointer-events: none; /* Ensures it doesn’t block interactions */
}

.full-height-section-main-panel {
    position: relative;
    border-radius: 21px;
    padding: 33px;
    margin-left: 70px;
    margin-right: 70px;
}

.full-height-section-main-panel::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    mix-blend-mode: overlay;
    border: 2px solid #ffffff;
    border-radius: 21px;
    z-index: 2;
}

.full-height-section-main-panel::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    mix-blend-mode: multiply;
    background-color: #000000;
    border-radius: 21px;
    opacity: .4;
    box-shadow: 0px 30px 70px #9900FF;
    backdrop-filter: blur(10px);
}

.full-height-section-main-panel__intro-content {
    position: relative;
    z-index: 2;
    width: 540px;
    max-width: 100%;
    margin: 0 auto;
}

input[type="text"],
input[type="email"] {
    padding: 10px;
    margin: 20px 0;
    border: 1px solid #fff;
    color: #fff;
    background-color: transparent;
    border-radius: 5px;
    font-size: 16px;
    display: block;
    width: 360px;
    max-width: 100%;
    margin: 0 auto 20px auto;
}

input[type="text"]::placeholder,
input[type="email"]::placeholder {
    color: #fff;
}

button {
    padding: 10px 20px;
    font-size: 18px;
    border: 2px solid #FF338F;
    background-color: #FF338F;
    color: #fff;
    border-radius: 5px;
    cursor: pointer;
}

button:hover {
    background-color: transparent;
}

.result-container {
    margin-top: 40px;
    background-color: #222;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(255, 255, 0, 0.5);
}

.result-container h2 {
    color: #ff0;
}

.score {
    font-size: 58px;
    color: #fff;
    margin: 10px 0;
}

.sub-scores {
    display: flex;
    justify-content: space-around;
    margin-top: 20px;
}

.sub-score {
    background-color: #333;
    padding: 15px;
    border-radius: 10px;
    width: 25%;
}

.sub-score h3 {
    margin-bottom: 10px;
    color: #ff0;
}

.sub-score p {
    font-size: 24px;
    color: #fff;
}

#blur-container {
    position: fixed;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    top: 0;
    left: 0;
}

.blur {
    position: absolute;
    /* opacity: 0.4; Make it subtle */
    /* filter: blur(30px); */
    transition: top 8s ease-in-out, left 8s ease-in-out;
}

/* .blur.green-blur1 {
    width: 568px;
}

.blur.pink-blur1 {
    width: 588px;
}

.blur.pink-blur2 {
    width: 735px;
}

.blur.pink-blur3 {
    width: 467px;
} */

.spinner {
    width: 40px;
    height: 40px;
    border: 4px solid rgba(255, 255, 255, 0.3);
    border-top: 4px solid white;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin: 10px auto;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}